Subject: bug#50256: thing-at-mouse

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Sep 2021 19:47:49 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 05 Sep 2021 19:13:15 +0300
> 
> > (1) Fix it in a general way.  You don't want to do that because it might
> >     harm calls of that function that silently worked until now.
> >
> > (2) Fix it by modifying the calls of `pos-visible-in-window-p'.  In that
> >     case the warning should help us find the calls that should be fixed.
> 
> Since there is no way to fix (1), I sent a fix for (2):

Thanks, but is that the best fix?  It would mean any other Lisp
program that needs to do something similar will have to use such
kludges.

But if I'm the only one who thinks this isn't clean enough, I won't
object to this solution.  Just be sure to add comments explaining why
you do something as strange as that.